petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDS

PETSc object that manages a discrete system, which is a set of discretizations + continuum residual functions

### Synopsis

    typedef struct _p_PetscDS *PetscDS;

### See Also

PetscDSCreate(), PetscDSSetType(), PetscDSType, PetscFECreate(), PetscFVCreate()

### Level

intermediate

### Location

src/dm/dt/../../../include/petscdstypes.h

### Examples

src/ts/examples/tutorials/ex11.c.html

### Implementations

_p_PetscDS in include/petsc/private/petscdsimpl.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages